# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateShell Class Reference

`#include <StepToTopoDS_TranslateShell.hxx>`

Inheritance diagram for StepToTopoDS_TranslateShell:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateShell ()
Standard_EXPORT | StepToTopoDS_TranslateShell (const Handle(StepShape_ConnectedFaceSet)&CFS, StepToTopoDS_Tool &T)
Standard_EXPORT void | Init (const Handle(StepShape_ConnectedFaceSet)&CFS, StepToTopoDS_Tool &T)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_TranslateShellError | Error () const

## Private Attributes

StepToTopoDS_TranslateShellError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateShell::StepToTopoDS_TranslateShell | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateShell::StepToTopoDS_TranslateShell | ( | const Handle(StepShape_ConnectedFaceSet)& | CFS,
|  | StepToTopoDS_Tool & | T
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_TranslateShellError StepToTopoDS_TranslateShell::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_TranslateShell::Init | ( | const Handle(StepShape_ConnectedFaceSet)& | CFS,
|  | StepToTopoDS_Tool & | T
| ) |

void StepToTopoDS_TranslateShell::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateShell::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_TranslateShell::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_TranslateShellError StepToTopoDS_TranslateShell::myError `[private]`

TopoDS_Shape StepToTopoDS_TranslateShell::myResult `[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateShell.hxx